MIXERCTL(8)

NAME
mixerctl - manipulate controls for audio hardware

SYNOPSIS
mixerctl [-anv] [-f file]
mixerctl [-nv] [-f file] name ...
mixerctl [-qt] [-f file] name ...
mixerctl [-q] [-f file] name=value ...

DESCRIPTION
The mixerctl command displays or sets various controls for audio hardware, such as microphone reference voltage or output level. Where hardware defaults are not the desired ones, controls can be set at system startup using the configuration file mixerctl.conf(5).

mixerctl itself can only be run by the superuser. Common controls should be adjusted at runtime using sndioctl(1), which is intended for every day use and requires no superuser privileges. Manual use of mixerctl is intended for controls which cannot be set using sndioctl(1).

If a list of control names is present on the command line, mixerctl prints the current value of those controls for the specified device.

The options are as follows:

-a  Print all device controls and their current values. This is the default, if no parameters are given to mixerctl.

-f file
    Specify an alternative audio control device. The default is /dev/audioctl0.

-n  Suppress printing of the control name.

-q  Suppress all printing when setting a control.

-t  Toggle. Attempt to select the next possible value of an enum (see below).

-v  Show all possible values of controls. Enum values are shown in ‘[]’ and values belonging to a set are shown in ‘{}’ (see below).

name=value
    Attempt to set the control with given name to value.

The exact set of controls that can be manipulated depends on the device. The general format (in both getting and setting a value) is:

    class.name=value

The class can have values like “inputs” or “outputs”, indicating that the control affects the input or output, respectively, to the device. The name indicates what part of the device the control affects. Continuous values, e.g. volume, have numeric values in the range 0-255. If value can be set for each channel independently, the values are printed separated by commas. Discrete values, e.g. the recording source, have symbolic names.

Variables may take one of three types, again dependent on the mixer:

1.  Enums. These may take only one out of a possible list of symbolic values or the literal string “toggle”, which toggles the value, e.g. inputs.mic.source=mic0.

2.  Sets. These can take one or more of a possible list of symbolic values; multiple values are specified as a comma-separated list, e.g. record.source=mic,cd. Additionally, value may be omitted to specify the empty set, e.g. record.source=.

3.  Numbers. Numerical values may be specified in either absolute or relative forms. The relative form is indicated by a prefix of ‘+’ or ‘-’ to denote an increase or decrease, respectively.

ENVIRONMENT

MIXERDEVICE
    The audio control device to use.

FILES
/dev/audioctl0
    Default audio control device.
/etc/mixerctl.conf
    mixerctl configuration file.

EXAMPLES
Show possible values for all controls, and their current settings:

    # mixerctl -av
    inputs.mic=0,0 volume
    inputs.mic.mute=off  [ off on ]
    inputs.cd=220,220 volume
    inputs.cd.mute=off  [ off on ]
    inputs.dac=220,220 volume
    inputs.dac.mute=off  [ off on ]
    record.record=220,220 volume
    record.record.source=mic  [ mic cd dac ]
    monitor.monitor=0 volume

Toggle inputs.dac.mute:

    # mixerctl -t inputs.dac.mute
    inputs.dac.mute: off -> on
    # mixerctl inputs.dac.mute=toggle
    inputs.dac.mute: on -> off

SEE ALSO
aucat(1), cdio(1), audio(4), mixerctl.conf(5), audioctl(8), sysctl(8)

HISTORY
The mixerctl command first appeared in OpenBSD 2.4.